<?php
/**
 * Template Name: Free Entry Local Photo Walk page
 */

if ( ! is_user_logged_in() ) {
  $url = get_the_permalink(207);
  wp_redirect( $url );
  exit;
}
$user = wp_get_current_user();
$current_user_id = $user->ID;
$package_status = get_user_meta( $current_user_id, 'package_status', true );
if($package_status!='Active'){
  $url = site_url().'/#pricing';
  wp_redirect( $url );
  exit; 
}

$purchased_package_name = get_user_meta( $current_user_id, 'purchased_package_name', true );
$purchased_package_id = get_user_meta( $current_user_id, 'purchased_package', true );


get_header('inner'); ?>
<?php $ID = get_the_ID();
$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $ID ), 'full_image' );
?>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-medium text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-medium text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title(); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- About Content -->
<div class="about_content_area padding-top-bottom-100px">
   <!-- Container -->
   <div class="container">
      <?php if($purchased_package_id==59){
            $number_of_entry = get_field('number_of_entry', 'option');
            if(get_user_meta( $current_user_id, 'free_entry_local', true )){
              $number_of_user_entry = get_user_meta( $current_user_id, 'free_entry_local', true );
            }else{
              $number_of_user_entry = 0;
            }
            
            $rmain_entry = $number_of_entry-$number_of_user_entry;
      ?>
         <!--Bronze-->
         <p>Total number of free entry to local photo-walk: <?php echo $number_of_entry;?></p>
         <p>Your Remain Entry: <?php echo $rmain_entry;?></p>
         <?php the_field('local_photo_walk_content', 'option'); ?>
      <?php }elseif($purchased_package_id==60){
            $number_of_entry = get_field('number_of_entry_silver', 'option');
            if(get_user_meta( $current_user_id, 'free_entry_local', true )){
              $number_of_user_entry = get_user_meta( $current_user_id, 'free_entry_local', true );
            }else{
              $number_of_user_entry = 0;
            }
            
            $rmain_entry = $number_of_entry-$number_of_user_entry;
      ?>
         <!--Silver-->
         <p>Total number of free entry to local photo-walk: <?php echo $number_of_entry;?></p>
         <p>Your Remain Entry: <?php echo $rmain_entry;?></p>
         <?php the_field('local_photo_walk_content_silver', 'option'); ?>
      <?php }else{
            $number_of_entry = get_field('number_of_entry_gold', 'option');
            if(get_user_meta( $current_user_id, 'free_entry_local', true )){
              $number_of_user_entry = get_user_meta( $current_user_id, 'free_entry_local', true );
            }else{
              $number_of_user_entry = 0;
            }
            
            $rmain_entry = $number_of_entry-$number_of_user_entry;
      ?>
         <!--Gold-->
         <p>Total number of free entry to local photo-walk: <?php echo $number_of_entry;?></p>
        <?php if($rmain_entry>=0){?>
         <p>Your Remain Entry: <?php echo $rmain_entry;?></p>
        <?php }?>
         <?php the_field('local_photo_walk_content_gold', 'option'); ?>
      <?php }?>
   </div>
   <!-- End Container -->
</div>    
<!-- End About Content -->
<?php get_footer();?>
