<?php
/**
 Template Name: Gallery Page
*/

get_header();  ?>
<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title($ID); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- Portfolio Gallery -->
<div id="works" class="bg-black">
   <!-- Container -->
   <div class="padding-25px">
      <div id="tab">
       <ul>
         <?php
            $taxonomy='gallery_type';
            $terms = get_terms($taxonomy, array('orderby' => 'id', 'hide_empty' => false));   
            foreach ($terms as $term) {
         ?>
         <li><a href="#"><?php echo $term->name;?></a></li>
         <?php } ?>
       </ul>

       <div class="tab-body">
          <!-- Each tab content  -->
         <?php
            $taxonomy='gallery_type';
            $terms = get_terms($taxonomy, array('orderby' => 'id', 'hide_empty' => false));   
            foreach ($terms as $term) {
         ?> 
         <div class="tab-content">
               <!-- Gallery Grid -->
               <div class="works uk-child-width-1-1@s uk-child-width-1-2@m uk-child-width-1-3@l uk-text-center uk-grid-medium" data-uk-grid="masonry: true">
                  <!-- Work -->
                  <?php
                  $args = array(
                  'posts_per_page'   => -1,
                  'post_type'        => 'photo_gallery',
                  'tax_query' => array(
                          array(
                          'taxonomy' => 'gallery_type',
                          'field'    => 'term_id',
                          'terms'    => $term->term_id
                    )
                  ),
                  'post_status'      => 'publish'
                  );
                  query_posts($args);
                  ?>
                  <?php if (have_posts()) : ?>
                  <?php while (have_posts()) : the_post();
                     $img_ID = get_the_ID();
                     $thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $img_ID ), 'full' );
                     $alt_text = get_post_meta(get_post_thumbnail_id( $img_ID ), '_wp_attachment_image_alt', true);
                  ?>
                  <div class="images">
                     <div class="uk-inline-clip uk-transition-toggle" tabindex="0" >
                        <!-- Image -->
                        <img src="<?php echo $thumbnail['0']; ?>" alt="<?php echo $alt_text;?>" />
                        <!-- Hover -->
                        <div class="uk-transition-fade uk-position-cover uk-overlay uk-overlay-primary-extra-dark">
                           <div class="uk-position-top-left margin-50px">
                              <a href="#" data-uk-toggle="target: .photo-info-<?php echo $img_ID;?>">
                              <span data-uk-icon="icon: search; ratio: 2.4" class="text-lime margin-right-10px"></span>
                              </a>
                           </div>
                           <!-- Title -->
                           <div class="uk-position-bottom-left margin-50px">
                              <h1 class="title-extra-large text-weight-200 text-gradient-gold sm-text-weight-300"><?php the_title();?></h1>
                           </div>
                           <!-- End Title -->
                        </div>
                        <!-- End Hover -->
                     </div>
                     <!-- Photo Information Modal -->
                     <div class="photo-info-<?php echo $img_ID;?> uk-modal-full" data-uk-modal>
                        <!-- Modal Container -->
                        <div class="uk-modal-dialog">
                           <!-- Close Icon -->
                           <button class="uk-modal-close-default" type="button" data-uk-close></button>
                           <!-- Modal Grid -->
                           <div class="uk-grid-collapse uk-child-width-1-2@s uk-flex-middle" data-uk-grid>
                              <!-- Modal Background Image Left -->
                              <div class="uk-background-cover modal-bg-2" data-uk-height-viewport  style="min-height: calc(100vh); background: url(<?php echo $thumbnail['0']; ?>);"></div>
                              <!-- Modal Information -->
                              <div class="padding-50px">
                                 <div class="uk-flex uk-flex-column">
                                    <!-- Title -->
                                    <h1 class="text-weight-300 text-gray-dark margin-bottom-20px"><?php the_title();?></h1>
                                    <!-- Description -->
                                    <!-- <p class="width-60 sm-text-100">Cras mattis consectetur purus sit amet fermentum. Donec ullamcorper mattis consectetur nulla non metus.</p> -->
                                    <?php the_content();?>
                                    <!-- Info List -->
                                    <ul class="no-list-style no-margin-top margin-bottom-25px no-padding">
                                       <li class="margin-bottom-10px"><span data-uk-icon="icon: user; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Author; pos: left"></span><span><a href="#"><?php the_field('photographer_name');?></a></span></li>
                                       <li class="margin-bottom-10px"><span data-uk-icon="icon: camera; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Device; pos: left"></span><span><?php the_field('camera');?></span></li>
                                       <li class="margin-bottom-10px"><span data-uk-icon="icon: cog; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Focal Length; pos: left"></span><span><?php the_field('focal_length');?></span></span></li>
                                       <li class="margin-bottom-10px"><span data-uk-icon="icon: nut; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Aperture; pos: left"></span><span><?php the_field('aperture');?></span></li>
                                       <li class="margin-bottom-10px"><span data-uk-icon="icon: clock; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Exposure; pos: left"></span><span><?php the_field('exposure');?></span></li>
                                       <li><span data-uk-icon="icon: settings; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: ISO; pos: left"></span><span><?php the_field('iso');?></span></li>
                                    </ul>
                                    <!-- End Info List -->
                                 </div>
                                 <!-- End Off-Canvas Bar -->
                                 <!-- Contact Button -->
                                 <a class="btn btn-small btn-lime border-radius-50 sm-display-table" href="#">Contact Author</a>
                              </div>
                              <!-- End Modal Information -->
                           </div>
                           <!-- End Modal Grid -->
                        </div>
                        <!-- End Modal Container -->
                     </div>
                     <!-- End Photo Information Modal -->
                  </div>
                  <?php endwhile;?>
                  <?php else : ?>
                     <p>No Image Found For this Category..!!</p>
                  <?php endif; wp_reset_query(); ?>
                  <!-- End Work -->
               </div>
               <!-- End Gallery Grid -->
         </div>
         <?php } ?>
       </div>
      </div>
   </div>
   <!-- End Container -->
</div>
<!-- End Portfolio Gallery -->

<?php get_footer(); ?>